//
//
function setJqGridDialog( formid ) {
	var dialog = formid.closest("div.ui-jqdialog");
	var dlgWidth = dialog.width();
	var dlgHeight = dialog.height();
	var windowWidth = $(window).width();
	var windowHeight = $(window).height();

	dialog.addClass("dialogWithDropShadow");

	if ( windowHeight > dlgHeight ) {
		dialog[0].style.top = $(window).scrollTop() + Math.round((windowHeight-dlgHeight)/2) + "px";
	}

	if ( windowWidth > dlgWidth ) {
		dialog[0].style.left = $(window).scrollLeft() + Math.round((windowWidth-dlgWidth)/2) + "px";
	}
}


function delItemJqGrid( gridname, options, rowid ) {
	var grid = $('#'+gridname);
	var grid_id = $.jgrid.jqID(grid[0].id);
	var grid_p = grid[0].p;
	var newPage = grid_p.page;

	options.processing = true;
	grid.jqGrid("delRowData",rowid);

	$.jgrid.hideModal( "#delmod" + grid_id, {gb:"#gbox_"+grid_id,jqm:options.jqModal,onClose:options.onClose} );

	if (grid_p.lastpage > 1) {		// on the multipage grid reload the grid
		if (grid_p.reccount === 0 && newPage === grid_p.lastpage) {
			// if after deliting there are no rows on the current page
			// which is the last page of the grid
			newPage--;		// go to the previous page
		}
		// reload grid to make the row from the next page visable.
		grid.trigger("reloadGrid", [{page:newPage}]);
	}

	return true;
}


function delAllItemJqGrid( gridname ) {
	var grid = $('#'+gridname);
	var rowIds = grid.jqGrid('getDataIDs');
	for ( var i=0, len=rowIds.length; i<len; i++ ) {
		var currRow = rowIds[i];
		grid.jqGrid('delRowData', currRow);
	}
}


function jqGridGetColIndexByName( grid, columnName ) {
	var cm = grid.jqGrid("getGridParam","colModel"), l=cm.length;
	for ( var i=0; i<l; i++ ) {
		if (cm[i].name===columnName) {
			return i;	// return the index
		}
	}
	return -1;
}


function jqGridEditAllRow( gridname ) {
	var grid = $("#"+gridname);
	var rowIds = grid.jqGrid("getDataIDs");
	for ( var i=0, len=rowIds.length; i<len; i++ ) {
		var currRow = rowIds[i];
		grid.jqGrid("editRow",currRow,false);
	}
}


function formatQuantity( cellvalue, options, rowObject ) {
	return formatNumber( cellvalue.split(".").join("") );
}


function UnformatQuantity( cellvalue, options, cell ) {
	return cellvalue.split(".").join("");
}